| Home | Libraries | People | FAQ | More

## Function BOOST_PROTO_DEFINE_VARARG_FUNCTION_TEMPLATE

boost::xpressive::BOOST_PROTO_DEFINE_VARARG_FUNCTION_TEMPLATE

## Synopsis

     BOOST_PROTO_DEFINE_VARARG_FUNCTION_TEMPLATE(construct,
                                                 boost::proto::default_domain,
                                                 (boost::proto::tag::function),
                                                 ((op::construct)(typename)));

## Description

Usage: construct<Type>(arg1, arg2) Usage: throw_<Exception>(arg1, arg2)